User asset
User Asset Search (Multiple Currency)
Either the UID or OpenID of the payee must exist, and if both are present, the OpenID takes precedence.
POST
/
platformapi
/
chainup
/
open
/
ouser
/
userAccounts
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/ouser/userAccounts
{
"code": "0",
"msg": "Success",
"data": {
"BTCPrecision": "btc8",
"accounts": [
{
"uid": "202113",
"balance": "1000",
"tag": "",
"type": "2021101"
},
{
"uid": "202113",
"balance": "1000",
"tag": "",
"type": "2021101"
}
],
"USDTPrecision": "usdt8"
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
openId
string
openId, userId must pass one, while passing, take openId.
userId
string
openId, userId must pass one, while passing, take openId.
coinSymbols
string
requiredCurrency type: e.g. BTC, USDT, BIKI, etc.; refer to the currency configuration in the exchange; multiple currencies are separated by commas: Example: "USDT,BTC,ETH".
Example: BTC
assetType
string
Common type: "201" : General account balance.
Example: 201
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/ouser/userAccounts
{
"code": "0",
"msg": "Success",
"data": {
"BTCPrecision": "btc8",
"accounts": [
{
"uid": "202113",
"balance": "1000",
"tag": "",
"type": "2021101"
},
{
"uid": "202113",
"balance": "1000",
"tag": "",
"type": "2021101"
}
],
"USDTPrecision": "usdt8"
}
}